View Issue Details

IDProjectCategoryView StatusLast Update
0015004LazarusIDEpublic2010-04-08 16:54
ReporterMartin Friebe Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015004: RangeCheck error in object inspector
DescriptionIf the value column is to small, and a property selected that has a "..." button a range check error occurs

Steps to reproduce:

- open a form, put any component on it that has for example an "anchors" property. (panel or label on form.

- select property "name"

- resize object inspector OR resize the 2 columns (property names | property values) => so that the column showing the property values is very small (smaller than the "..." button will be

- now select property "anchors"
=> range check exception

You may need to compile lazarus with range checks enabled

the error does not occur, if you started Lazarus, with the OI already having a too small value-column.
It will occur, if you resized the column during the active session

(tested using fpc trunc, but probably not related)
Additional InformationTApplication.HandleException Range check error
  Stack trace:
  $0054D1FF line 4085 of include/wincontrol.inc
  $005574E4 line 438 of include/control.inc
  $0055DEB8 line 3178 of include/control.inc
  $00554F35 line 7566 of include/wincontrol.inc
  $0055C26F line 2533 of include/control.inc
  $006B17DD line 2411 of objectinspector.pp
  $006AE7BD line 1551 of objectinspector.pp
  $006AFEA5 line 1886 of objectinspector.pp
  $006B0197 line 1976 of objectinspector.pp
  $0055A9EB line 1679 of include/control.inc
  $0055B017 line 1819 of include/control.inc
  $0040BDEA line 465 of ../inc/objpas.inc
  $0054F8D0 line 5085 of include/wincontrol.inc
  $005FC19E line 111 of lclmessageglue.pas
  $005814DA line 2627 of win32callback.inc
  $7729FD72
TagsNo tags attached.
Fixed in Revision23147
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

samuel herzog

2009-11-07 13:18

developer   ~0031969

Can not reproduce this problem here with latest Version SVN22463 on winxp sp3 (classic design).

Paul Ishenin

2009-12-15 06:56

manager   ~0033102

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-11-05 17:57 Martin Friebe New Issue
2009-11-05 17:57 Martin Friebe LazTarget => -
2009-11-05 17:57 Martin Friebe Widgetset => Win32/Win64
2009-11-06 12:14 Vincent Snijders LazTarget - => 0.9.30
2009-11-06 12:14 Vincent Snijders Status new => acknowledged
2009-11-06 12:14 Vincent Snijders Target Version => 0.9.30
2009-11-07 13:18 samuel herzog Note Added: 0031969
2009-12-15 06:56 Paul Ishenin Fixed in Revision => 23147
2009-12-15 06:56 Paul Ishenin Status acknowledged => resolved
2009-12-15 06:56 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-15 06:56 Paul Ishenin Resolution open => fixed
2009-12-15 06:56 Paul Ishenin Assigned To => Paul Ishenin
2009-12-15 06:56 Paul Ishenin Note Added: 0033102
2010-04-08 16:54 Martin Friebe Status resolved => closed